package com.dsk.cscec.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dsk.common.core.domain.PageQuery;
import com.dsk.common.core.page.TableDataInfo;
import com.dsk.cscec.domain.DCustomer;
import com.dsk.cscec.domain.bo.DCustomerSearchBo;
import com.dsk.cscec.domain.vo.DCustomerListVo;

import java.util.List;

/**
 * 组织维表(DCustomer)表服务接口
 *
 * @author lcl
 * @since 2023-12-08 14:57:26
 */
public interface IDCustomerService extends IService<DCustomer> {

    TableDataInfo<DCustomerListVo> allSearchList(DCustomerSearchBo bo, PageQuery query);

    List<DCustomerListVo> exportList(DCustomerSearchBo bo);

}

